Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-block-stream
Version:    0.0.7
Release:    alt1_10
Summary:    A stream of blocks
License:    BSD
URL:        https://github.com/isaacs/block-stream
Source0:    https://registry.npmjs.org/block-stream/-/block-stream-%{version}.tgz
BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  nodejs-tap
Source44: import.info

%description
Write data into it, and it'll output data in buffer blocks the size you
specify, padding with zeroes if necessary.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/block-stream
cp -pr block-stream.js package.json %{buildroot}%{nodejs_sitelib}/block-stream

%nodejs_symlink_deps

# tests disabled until tap is packaged
%check
%nodejs_symlink_deps --check
tap test/

%files
%{nodejs_sitelib}/block-stream
%doc README.md
%doc --no-dereference LICENCE

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.7-alt1_10
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.7-alt1_1
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_7
- initial import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_5
- initial import

